/* START BANNER */
.banner {
    min-height: 200px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    position: relative;
}

.banner picture {
    position: absolute;
    z-index: -1;
    height: 100%;
    width: 100%;
}

.banner .banner-background-image {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

/* Inner banner */
.banner .inner-banner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    color: #FFF;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 64px 32px;
    gap: 24px;
    max-width: 1316px;
}

/* Title subtitle div */
.banner .inner-banner .title-subtitle-div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    gap: 20px;
    max-width: 668px;
}

.banner .inner-banner .title-subtitle-div .title {
    font-size: var(--text-xl);
    font-family: var(--font-frutiger-bold);
    letter-spacing: 1px;
}

.banner .inner-banner .title-subtitle-div .subtitle {
    letter-spacing: .5px;
    font-size: var(--text-m);
    line-height: 28px;
}

/* Button div */
.banner .inner-banner .button-div {
    display: flex;
    justify-content: end;
    align-items: center;
    width: 100%;
}

.banner .inner-banner .button-div .generic-btn {
    width: 100%;
    max-width: 410px;
    min-width: 300px
}

.banner .inner-banner .button-div .generic-btn .left {
    min-width: unset;
    white-space: break-spaces;
}

/* START MEDIA QUERY */

/* Tablet */
@media (max-width: 767px) {
    /* Banner */
    .banner {
        height: fit-content;
    }

    /* Inner banner */
    .banner .inner-banner {
        flex-direction: column;
        justify-content: center;
        gap: 45px;
        padding-top: 40px;
        padding-bottom: 40px;
    }

    /* Title subtitle div */
    .banner .inner-banner .title-subtitle-div .title {
        font-size: var(--text-l);
    }

    .banner .inner-banner .button-div {
        justify-content: center;
    }

    .banner .inner-banner .button-div .generic-btn {
        min-width: unset;
    }

}

/* Mobile - 600 not 375 */
@media (max-width: 576px) {
    .banner .inner-banner .title-subtitle-div .subtitle p {
        font-size: var(--text-s);
    }

    /* Title subtitle div */
    .banner .inner-banner {
        padding: 56px 16px 56px;
    }
}
/* END MEDIA QUERY */